---
agentTools:
  projectIndex: https://sendinblue.readme.io/llms.txt
---

# Get your SMS activity aggregated over a period of time

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "contact": {
      "email": "contact@brevo.com",
      "name": "Brevo Support",
      "url": "https://account.brevo.com/support"
    },
    "description": "Brevo provide a RESTFul API that can be used with any languages. With this API, you will be able to :\n  - Manage your campaigns and get the statistics\n  - Manage your contacts\n  - Send transactional Emails and SMS\n  - and much more...\n\nYou can download our wrappers at https://github.com/orgs/brevo\n**Possible responses**\n  | Code | Message |\n  | :-------------: | ------------- |\n  | 200  | OK. Successful Request  |\n  | 201  | OK. Successful Creation |\n  | 202  | OK. Request accepted |\n  | 204  | OK. Successful Update/Deletion  |\n  | 400  | Error. Bad Request  |\n  | 401  | Error. Authentication Needed  |\n  | 402  | Error. Not enough credit, plan upgrade needed  |\n  | 403  | Error. Permission denied  |\n  | 404  | Error. Object does not exist |\n  | 405  | Error. Method not allowed  |\n  | 406  | Error. Not Acceptable  |\n  | 422  | Error. Unprocessable Entity |\n",
    "license": {
      "name": "MIT",
      "url": "http://opensource.org/licenses/MIT"
    },
    "title": "Brevo API",
    "version": "3.0.0"
  },
  "servers": [
    {
      "url": "https://api.brevo.com/v3"
    }
  ],
  "security": [
    {
      "api-key": []
    },
    {
      "partner-key": []
    }
  ],
  "paths": {
    "/transactionalSMS/statistics/aggregatedReport": {
      "get": {
        "operationId": "getTransacAggregatedSmsReport",
        "parameters": [
          {
            "description": "**Mandatory if endDate is used.** Starting date (YYYY-MM-DD) of the report\n",
            "in": "query",
            "name": "startDate",
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "**Mandatory if startDate is used.** Ending date (YYYY-MM-DD) of the report\n",
            "in": "query",
            "name": "endDate",
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Number of days in the past including today (positive integer). **Not compatible with startDate and endDate**\n",
            "in": "query",
            "name": "days",
            "schema": {
              "format": "int64",
              "type": "integer"
            }
          },
          {
            "description": "Filter on a tag",
            "in": "query",
            "name": "tag",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "examples": {
                  "response": {
                    "value": {
                      "accepted": 6,
                      "blocked": 4,
                      "delivered": 16,
                      "hardBounces": 5,
                      "range": "2015-05-22|2017-11-29",
                      "rejected": 14,
                      "replied": 8,
                      "requests": 54,
                      "skipped": 1,
                      "softBounces": 26,
                      "unsubscribed": 10
                    }
                  }
                },
                "schema": {
                  "properties": {
                    "accepted": {
                      "description": "Number of accepted SMS for the timeframe",
                      "example": 252,
                      "format": "int64",
                      "type": "integer"
                    },
                    "blocked": {
                      "description": "Number of blocked contact for the timeframe",
                      "example": 2,
                      "format": "int64",
                      "type": "integer"
                    },
                    "delivered": {
                      "description": "Number of delivered SMS for the timeframe",
                      "example": 249,
                      "format": "int64",
                      "type": "integer"
                    },
                    "hardBounces": {
                      "description": "Number of hardbounces for the timeframe",
                      "example": 1,
                      "format": "int64",
                      "type": "integer"
                    },
                    "range": {
                      "description": "Time frame of the report",
                      "example": "2016-09-08|2017-04-06",
                      "type": "string"
                    },
                    "rejected": {
                      "description": "Number of rejected SMS for the timeframe",
                      "example": 8,
                      "format": "int64",
                      "type": "integer"
                    },
                    "replied": {
                      "description": "Number of answered SMS for the timeframe",
                      "example": 12,
                      "format": "int64",
                      "type": "integer"
                    },
                    "requests": {
                      "description": "Number of requests for the timeframe",
                      "example": 263,
                      "format": "int64",
                      "type": "integer"
                    },
                    "skipped": {
                      "description": "Number of skipped SMS for the timeframe",
                      "example": 1,
                      "format": "int64",
                      "type": "integer"
                    },
                    "softBounces": {
                      "description": "Number of softbounces for the timeframe",
                      "example": 4,
                      "format": "int64",
                      "type": "integer"
                    },
                    "unsubscribed": {
                      "description": "Number of unsubscription for the timeframe",
                      "example": 6,
                      "format": "int64",
                      "type": "integer"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Aggregated SMS report informations"
          },
          "400": {
            "$ref": "#/components/responses/errorModel"
          }
        },
        "summary": "Get your SMS activity aggregated over a period of time",
        "tags": [
          "Transactional SMS"
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "api-key": {
        "description": "The API key should be passed in the request headers as `api-key` for authentication.",
        "in": "header",
        "name": "api-key",
        "type": "apiKey"
      },
      "partner-key": {
        "description": "The partner key should be passed in the request headers as `partner-key` along with `api-key` pair for successful authentication of partner (Optional).",
        "in": "header",
        "name": "partner-key",
        "type": "apiKey"
      }
    },
    "responses": {
      "errorModel": {
        "content": {
          "application/json": {
            "schema": {
              "properties": {
                "code": {
                  "description": "Error code displayed in case of a failure",
                  "enum": [
                    "invalid_parameter",
                    "missing_parameter",
                    "out_of_range",
                    "campaign_processing",
                    "campaign_sent",
                    "document_not_found",
                    "not_enough_credits",
                    "permission_denied",
                    "duplicate_parameter",
                    "duplicate_request",
                    "method_not_allowed",
                    "unauthorized",
                    "account_under_validation",
                    "not_acceptable",
                    "bad_request",
                    "unprocessable_entity",
                    "Domain does not exist",
                    "Contact email not found",
                    "Attribute not found",
                    "Category id not found",
                    "Invalid parameters passed",
                    "Record(s) for identifier not found",
                    "Returned when query params are invalid",
                    "Returned when invalid data posted",
                    "Feed not found",
                    "Campaign ID not found",
                    "api-key not found",
                    "DMARC policy requires domain authentication",
                    "DNS records not properly configured",
                    "Invalid OTP code provided",
                    "OTP code has expired",
                    "Domain already exists in your account",
                    "The sum of all IP weights must equal 100",
                    "Authentication failed",
                    "Insufficient credits",
                    "Request already processed"
                  ],
                  "example": "method_not_allowed",
                  "type": "string"
                },
                "message": {
                  "description": "Readable message associated to the failure",
                  "example": "POST Method is not allowed on this path",
                  "type": "string"
                }
              },
              "required": [
                "code",
                "message"
              ],
              "type": "object"
            }
          }
        },
        "description": "bad request"
      }
    }
  },
  "x-samples-languages": [
    "curl"
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 91,
      "1": 104,
      "2": 180,
      "3": 205,
      "4": 240,
      "5": 82,
      "6": 207,
      "7": 0,
      "8": 3,
      "9": 36,
      "10": 63,
      "11": 142
    }
  }
}
```